Package org.drinkless.tdlib

# Class TdApi.Photo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Photo

Enclosing class:
  `TdApi`

public static class TdApi.Photo extends TdApi.Object
Describes a photo.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `hasStickers`
  True, if stickers were added to the photo.
  `TdApi.Minithumbnail`
  `minithumbnail`
  Photo minithumbnail; may be null.
  `TdApi.PhotoSize[]`
  `sizes`
  Available variants of the photo, in different sizes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Photo()`
  Describes a photo.
  `Photo(boolean hasStickers, TdApi.Minithumbnail minithumbnail, TdApi.PhotoSize[] sizes)`
  Describes a photo.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### hasStickers

    public boolean hasStickers
    True, if stickers were added to the photo. The list of corresponding sticker sets can be received using getAttachedStickerSets.

  - ### minithumbnail

    @Nullable public TdApi.Minithumbnail minithumbnail
    Photo minithumbnail; may be null.

  - ### sizes

    public TdApi.PhotoSize[] sizes
    Available variants of the photo, in different sizes.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Photo

    public Photo()
    Describes a photo.

  - ### Photo

    public Photo(boolean hasStickers, TdApi.Minithumbnail minithumbnail, TdApi.PhotoSize[] sizes)
    Describes a photo.
    Parameters:
      `hasStickers` - True, if stickers were added to the photo. The list of corresponding sticker sets can be received using getAttachedStickerSets.
      `minithumbnail` - Photo minithumbnail; may be null.
      `sizes` - Available variants of the photo, in different sizes.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR